diff -uwr source/scripts/AudibleSoundDefinitionClass.h 4.0/source/scripts/AudibleSoundDefinitionClass.h
--- source/scripts/AudibleSoundDefinitionClass.h	2011-05-22 02:18:50.000000000 +0800
+++ 4.0/source/scripts/AudibleSoundDefinitionClass.h	2011-10-11 21:57:45.827148400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__AUDIBLESOUNDDEFINITIONCLASS_H
 #define TT_INCLUDE__AUDIBLESOUNDDEFINITIONCLASS_H
 
diff -uwr source/scripts/AudioCallbackListClass.h 4.0/source/scripts/AudioCallbackListClass.h
--- source/scripts/AudioCallbackListClass.h	2008-12-07 21:51:00.000000000 +0800
+++ 4.0/source/scripts/AudioCallbackListClass.h	2011-10-11 21:57:43.373046800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__AUDIOCALLBACKLISTCLASS_H
 #define TT_INCLUDE__AUDIOCALLBACKLISTCLASS_H
 
diff -uwr source/scripts/BaseControllerClass.h 4.0/source/scripts/BaseControllerClass.h
--- source/scripts/BaseControllerClass.h	2011-06-13 22:29:48.000000000 +0800
+++ 4.0/source/scripts/BaseControllerClass.h	2011-10-11 21:57:41.484375000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_BASECONTROLLERCLASS_H
 #define TT_INCLUDE_BASECONTROLLERCLASS_H
 #include "NetworkObjectClass.h"
diff -uwr source/scripts/BaseGameObj.h 4.0/source/scripts/BaseGameObj.h
--- source/scripts/BaseGameObj.h	2011-07-30 16:49:44.000000000 +0800
+++ 4.0/source/scripts/BaseGameObj.h	2011-10-11 21:57:39.558593700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_BASEGAMEOBJ_H
 #define TT_INCLUDE_BASEGAMEOBJ_H
 #include "NetworkObjectClass.h"
diff -uwr source/scripts/BaseGameObjDef.h 4.0/source/scripts/BaseGameObjDef.h
--- source/scripts/BaseGameObjDef.h	2009-12-24 19:48:10.000000000 +0800
+++ 4.0/source/scripts/BaseGameObjDef.h	2011-10-11 21:57:37.723632800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_BASEGAMEOBJDEF_H
 #define TT_INCLUDE_BASEGAMEOBJDEF_H
 #include "Definition.h"
diff -uwr source/scripts/BeaconGameObj.h 4.0/source/scripts/BeaconGameObj.h
--- source/scripts/BeaconGameObj.h	2011-09-04 13:49:10.000000000 +0800
+++ 4.0/source/scripts/BeaconGameObj.h	2011-10-11 21:57:36.038085900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_BEACONGAMEOBJ_H
 #define TT_INCLUDE_BEACONGAMEOBJ_H
 #include "SimpleGameObj.h"
diff -uwr source/scripts/BeaconGameObjDef.h 4.0/source/scripts/BeaconGameObjDef.h
--- source/scripts/BeaconGameObjDef.h	2011-09-04 17:08:20.000000000 +0800
+++ 4.0/source/scripts/BeaconGameObjDef.h	2011-10-11 21:57:34.518554600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_BEACONGAMEOBJDEF_H
 #define TT_INCLUDE_BEACONGAMEOBJDEF_H
 #include "SimpleGameObjDef.h"
diff -uwr source/scripts/BufferedFileClass.h 4.0/source/scripts/BufferedFileClass.h
--- source/scripts/BufferedFileClass.h	2009-03-06 08:12:10.000000000 +0800
+++ 4.0/source/scripts/BufferedFileClass.h	2011-10-11 21:57:32.974609300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_BUFFEREDFILECLASS_H
 #define TT_INCLUDE_BUFFEREDFILECLASS_H
 
diff -uwr source/scripts/BuildingAggregateClass.h 4.0/source/scripts/BuildingAggregateClass.h
--- source/scripts/BuildingAggregateClass.h	2010-06-29 23:05:56.000000000 +0800
+++ 4.0/source/scripts/BuildingAggregateClass.h	2011-10-11 21:57:31.206054600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "StaticAnimPhysClass.h"
diff -uwr source/scripts/BuildingGameObj.h 4.0/source/scripts/BuildingGameObj.h
--- source/scripts/BuildingGameObj.h	2011-06-12 18:40:48.000000000 +0800
+++ 4.0/source/scripts/BuildingGameObj.h	2011-10-11 21:57:29.629882800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__BUILDINGGAMEOBJ_H
 #define TT_INCLUDE__BUILDINGGAMEOBJ_H
 
diff -uwr source/scripts/BuildingGameObjDef.h 4.0/source/scripts/BuildingGameObjDef.h
--- source/scripts/BuildingGameObjDef.h	2011-06-12 18:50:44.000000000 +0800
+++ 4.0/source/scripts/BuildingGameObjDef.h	2011-10-11 21:57:27.790039000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__BUILDINGGAMEOBJDEF_H
 #define TT_INCLUDE__BUILDINGGAMEOBJDEF_H
 
diff -uwr source/scripts/C4GameObj.h 4.0/source/scripts/C4GameObj.h
--- source/scripts/C4GameObj.h	2011-05-10 16:30:22.000000000 +0800
+++ 4.0/source/scripts/C4GameObj.h	2011-10-11 21:57:26.085937500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_C4GAMEOBJ_H
 #define TT_INCLUDE_C4GAMEOBJ_H
 #include "SimpleGameObj.h"
diff -uwr source/scripts/C4GameObjDef.h 4.0/source/scripts/C4GameObjDef.h
--- source/scripts/C4GameObjDef.h	2009-12-24 19:46:48.000000000 +0800
+++ 4.0/source/scripts/C4GameObjDef.h	2011-10-11 21:57:24.221679600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_C4GAMEOBJDEF_H
 #define TT_INCLUDE_C4GAMEOBJDEF_H
 #include "SimpleGameObjDef.h"
diff -uwr source/scripts/CastResultStruct.h 4.0/source/scripts/CastResultStruct.h
--- source/scripts/CastResultStruct.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/CastResultStruct.h	2011-10-11 21:57:16.009765600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__CASTRESULTSTRUCT_H
 #define TT_INCLUDE__CASTRESULTSTRUCT_H
 #include "Vector3.h"
diff -uwr source/scripts/ChunkClass.h 4.0/source/scripts/ChunkClass.h
--- source/scripts/ChunkClass.h	2010-05-31 13:27:28.000000000 +0800
+++ 4.0/source/scripts/ChunkClass.h	2011-10-11 21:57:12.363281200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_CHUNKCLASS_H
 #define TT_INCLUDE_CHUNKCLASS_H
 #include "engine_string.h"
diff -uwr source/scripts/ChunkClasses.cpp 4.0/source/scripts/ChunkClasses.cpp
--- source/scripts/ChunkClasses.cpp	2010-08-25 19:02:46.000000000 +0800
+++ 4.0/source/scripts/ChunkClasses.cpp	2011-10-11 23:04:11.090820300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "ChunkClass.h"
 #include "engine_io.h"
diff -uwr source/scripts/CinematicGameObj.h 4.0/source/scripts/CinematicGameObj.h
--- source/scripts/CinematicGameObj.h	2010-08-18 20:47:44.000000000 +0800
+++ 4.0/source/scripts/CinematicGameObj.h	2011-10-11 21:57:10.641601500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_CINEMATICGAMEOBJ_H
 #define TT_INCLUDE_CINEMATICGAMEOBJ_H
 
diff -uwr source/scripts/CinematicGameObjDef.h 4.0/source/scripts/CinematicGameObjDef.h
--- source/scripts/CinematicGameObjDef.h	2009-12-24 19:56:44.000000000 +0800
+++ 4.0/source/scripts/CinematicGameObjDef.h	2011-10-11 21:57:08.957031200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_CINEMATICGAMEOBJDEF_H
 #define TT_INCLUDE_CINEMATICGAMEOBJDEF_H
 #include "ArmedGameObjDef.h"
@@ -10,7 +21,7 @@
 	bool Load(ChunkLoadClass &cload);
 	uint32 Get_Class_ID() const;
 	PersistClass *Create() const;
-	DECLARE_EDITABLE( SimpleGameObjDef, PhysicalGameObjDef );
+	DECLARE_EDITABLE( CinematicGameObjDef, ArmedGameObjDef );
 private:
 	int SoundDefID;
 	StringClass SoundBoneName;
diff -uwr source/scripts/CollisionMath.h 4.0/source/scripts/CollisionMath.h
--- source/scripts/CollisionMath.h	2011-04-25 16:19:10.000000000 +0800
+++ 4.0/source/scripts/CollisionMath.h	2011-10-11 21:57:06.893554600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__COLLISIONMATH_H
 #define TT_INCLUDE__COLLISIONMATH_H
 #include "CastResultStruct.h"
diff -uwr source/scripts/ComCenterGameObj.h 4.0/source/scripts/ComCenterGameObj.h
--- source/scripts/ComCenterGameObj.h	2009-11-09 18:57:52.000000000 +0800
+++ 4.0/source/scripts/ComCenterGameObj.h	2011-10-11 21:56:58.881835900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_COMCENTERGAMEOBJ_H
 #define TT_INCLUDE_COMCENTERGAMEOBJ_H
 #include "BuildingGameObj.h"
diff -uwr source/scripts/ComCenterGameObjDef.h 4.0/source/scripts/ComCenterGameObjDef.h
--- source/scripts/ComCenterGameObjDef.h	2009-12-24 19:55:34.000000000 +0800
+++ 4.0/source/scripts/ComCenterGameObjDef.h	2011-10-11 21:56:57.004882800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_COMCENTERGAMEOBJDEF_H
 #define TT_INCLUDE_COMCENTERGAMEOBJDEF_H
 #include "BuildingGameObjDef.h"
diff -uwr source/scripts/CombatManager.h 4.0/source/scripts/CombatManager.h
--- source/scripts/CombatManager.h	2010-07-03 22:26:24.000000000 +0800
+++ 4.0/source/scripts/CombatManager.h	2011-10-11 21:57:00.750000000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__COMBATMANAGER_H
 #define TT_INCLUDE__COMBATMANAGER_H
 #include "engine_string.h"
diff -uwr source/scripts/CommandLineParser.cpp 4.0/source/scripts/CommandLineParser.cpp
--- source/scripts/CommandLineParser.cpp	2010-07-09 18:38:52.000000000 +0800
+++ 4.0/source/scripts/CommandLineParser.cpp	2011-10-11 23:04:07.527343700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "CommandLineParser.h"
 
diff -uwr source/scripts/CommandLineParser.h 4.0/source/scripts/CommandLineParser.h
--- source/scripts/CommandLineParser.h	2011-08-12 06:59:50.000000000 +0800
+++ 4.0/source/scripts/CommandLineParser.h	2011-10-11 21:56:54.929687500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 
diff -uwr source/scripts/ConPublic.h 4.0/source/scripts/ConPublic.h
--- source/scripts/ConPublic.h	2011-04-13 11:01:02.000000000 +0800
+++ 4.0/source/scripts/ConPublic.h	2011-10-11 21:56:49.386718700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__CONPUBLIC_H
 #define TT_INCLUDE__CONPUBLIC_H
 
diff -uwr source/scripts/ConnectionAcceptanceFilter.h 4.0/source/scripts/ConnectionAcceptanceFilter.h
--- source/scripts/ConnectionAcceptanceFilter.h	2010-06-30 23:53:22.000000000 +0800
+++ 4.0/source/scripts/ConnectionAcceptanceFilter.h	2011-10-11 21:56:53.168945300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 class WideStringClass;
diff -uwr source/scripts/ConnectionRequest.h 4.0/source/scripts/ConnectionRequest.h
--- source/scripts/ConnectionRequest.h	2010-06-30 23:53:22.000000000 +0800
+++ 4.0/source/scripts/ConnectionRequest.h	2011-10-11 21:56:51.206054600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 #include "engine_string.h"
 
diff -uwr source/scripts/ConstructionYardGameObj.h 4.0/source/scripts/ConstructionYardGameObj.h
--- source/scripts/ConstructionYardGameObj.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/ConstructionYardGameObj.h	2011-10-11 21:56:47.152343700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__CONSTRUCTIONYARDGAMEOBJ_H
 #define TT_INCLUDE__CONSTRUCTIONYARDGAMEOBJ_H
 
diff -uwr source/scripts/ConstructionYardGameObjDef.h 4.0/source/scripts/ConstructionYardGameObjDef.h
--- source/scripts/ConstructionYardGameObjDef.h	2009-12-24 19:46:00.000000000 +0800
+++ 4.0/source/scripts/ConstructionYardGameObjDef.h	2011-10-11 21:56:45.261718700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_CONSTRUCTIONYARDGAMEOBJDEF_H
 #define TT_INCLUDE_CONSTRUCTIONYARDGAMEOBJDEF_H
 #include "BuildingGameObjDef.h"
diff -uwr source/scripts/ControlClass.h 4.0/source/scripts/ControlClass.h
--- source/scripts/ControlClass.h	2010-08-18 19:42:18.000000000 +0800
+++ 4.0/source/scripts/ControlClass.h	2011-10-11 21:56:42.881835900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__CONTROLCLASS_H
 #define TT_INCLUDE__CONTROLCLASS_H
 #include "Vector4.h"
diff -uwr source/scripts/Crc32.cpp 4.0/source/scripts/Crc32.cpp
--- source/scripts/Crc32.cpp	2010-08-25 19:02:46.000000000 +0800
+++ 4.0/source/scripts/Crc32.cpp	2011-10-11 23:04:05.313476500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "Crc32.h"
 
